@font-face {
    font-family: 'Oswald';
    src: url('../font/Oswald-Regular.ttf') format('woff');

}

@font-face {
    font-family: 'Barlow';
    src: url('../font/Barlow-Light.ttf') format('woff');
}
link[rel="icon"] {
    border-radius: 50%;
    width: 32px;
    height: 32px;
}
body {
    /* font-family: Arial, sans-serif; */
    font-family: 'Barlow';
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    background-color: #fcefd0;
    /* Color de fondo pastel */
}


header {
    background-color: #ad8552;
    color: #fff;
    /* padding: 10px; */
    display: grid;
    grid-template-columns: 0.1fr 2fr;
    align-items: center;
}

.header-linea {
    display: inline-block;
    /*Situa en linea el div y el nav*/
    /*padding-right: 22vw; /*Separación a la derecha*/
    padding-top: 1vh;
    /*Separación superior para el menu y logo*/
    align-items: flex-end;
}

nav {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    grid-gap: 20px;
    max-width: 800px;
    padding: 10px;
    background-color: #ad8552;

}

nav a {
    color: #ffcbc2;
    /* Color de texto de enlaces (rosa) */
    text-decoration: none;
    text-align: center;
    padding: 10px;
    border-bottom: 2px solid transparent;
    font-family: 'Oswald';
}

nav a:hover {
    border-bottom: 2px solid #ffcbc2;
    /* Color del subrayado al pasar el cursor (rosa) */
}

main {
    display: grid;
    place-items: center;
    padding: 20px;
    /* gap: 20px; */

    margin-bottom: 70px;
    /* Ajusta el margen inferior para dejar espacio al footer */

}

form {
    width: 100%;
    max-width: 600px;
    display: grid;
    gap: 15px;
    background-color: #ffffff;
    /* Fondo del formulario */
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    /* Sombra suave */
    /* grid-template-columns: repeat(2, 1fr); */
    /* Dos columnas en la cuadrícula */
    grid-template-columns: 1fr 1fr; /* Dos columnas en el formulario */
}

label {
    font-weight: bold;
    color: #555;
    /* Color de texto suave */
}

input,
select {
    width: 100%;
    padding: 10px;
    box-sizing: border-box;
    border: 1px solid #ddd;
    /* Borde del input */
    border-radius: 5px;
}

button {
    background-color: #ad8552;
    /* Cambia el color de fondo del botón */
    color: white;
    padding: 15px;
    border: none;
    cursor: pointer;
    border-radius: 5px;
    transition: background-color 0.3s ease;
}

button:hover {
    background-color: #8b5a2b;
    /* Cambia el color de fondo al pasar el ratón */
}

footer {
    background-color: #2b241c;
    /* Color de fondo del footer (rosa) */
    color: #eeaaa7;
    /* Color de texto del footer (chocolate) */
    text-align: center;
    padding: 10px;
}

input#cobertura {
    display: none;
}

.custom-select {
    position: relative;
    width: 100%;
}

.custom-select select {
    display: none;
    /* Oculta el select original */
}

.select-selected {
    display: flex;
    align-items: center;
    background-color: #fff;
    padding: 10px;
    border: 1px solid #ddd;
    border-radius: 5px;
    cursor: pointer;
}

.select-selected img {
    width: 60%;
    /* Tamaño ajustado de las imágenes con porcentaje */
    max-width: 60px;
    /* Establece un ancho máximo para imágenes más grandes */
    height: auto;
    /* Mantiene la proporción de aspecto */
    margin-right: 10px;
}

.select-items {
    position: absolute;
    background-color: #fff;
    border: 1px solid #ddd;
    border-top: none;
    border-radius: 0 0 5px 5px;
    z-index: 1;
    display: none;
    width: 100%;
}

.select-item {
    padding: 10px;
    cursor: pointer;
    border-bottom: 1px solid #ddd;
    display: flex;
    align-items: center;
}

.select-item img {
    width: 40%;
    
    max-width: 60px;
    
    height: auto;
    
    margin-right: 10px;
}

.select-item:last-child {
    border-bottom: none;
}

/*css para los checkbox*/
.decoracion-options {
    display: flex;
    flex-direction: column;
}

.decoracion-options label {
    margin-bottom: 5px;
}

.decoracion-options input {
    margin-right: 5px;
}

#mi_contenedor {
    /* display: flex;
    flex-direction: row;
    flex-wrap: wrap; */

    display: grid;
    grid-template-columns: 1fr 1fr; /* Divide en dos columnas */
    gap: 20px; /* Espacio entre columnas */

}

#mi_contenedor>div {
    width: 80%;
}

/*--------------------*/
.gallery {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
    gap: 20px;
    max-width: 1000px;
    margin: 0 auto;
}

.photo {
    position: relative;
    overflow: hidden;
    border: 1px solid #ccc;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

img {
    display: block;
    max-width: 100%;
    height: auto;
}

.caption {
    background-color: rgba(0, 0, 0, 0.7);
    color: #fff;
    padding: 5px;
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    text-align: left;
}

/*----------------------*/
.contacto {
    max-width: 400px;
    margin: 0 auto;
    padding: 20px;
    background: #f2f2f2;
    border: 1px solid #ccc;
    border-radius: 5px;
}

.contact-form h2 {
    text-align: center;
}

.contact-form form {
    display: grid;
    gap: 10px;
}

label {
    font-weight: bold;
}

input[type="text"],
input[type="email"],
input[type="telefono"],
textarea {
    width: 100%;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
}

input[type="submit"] {
    background: #007BFF;
    color: #fff;
    border: none;
    padding: 10px 20px;
    border-radius: 5px;
    cursor: pointer;
}

input[type="submit"]:hover {
    background: #0056b3;
}


.decoracion-option {
    display: flex;
    /* Usar flexbox para alinear elementos en una fila */
    align-items: center;
    /* Centrar verticalmente los elementos */
    margin-right: 10px;
    /* Agregar espacio entre los elementos */
}

.decoracion-option input {
    width: 20%;
}

.decoracion-option label {
    width: 100%;
}

.intro-paragraph {
    background-color: #F4A460;

    border: 2px solid #D2691E;

    border-radius: 10px;

    padding: 20px;

    font-size: 18px;

    text-align: center;
    font-weight: bold;
}
/*----------------
mismo tipo de letra*/
.fa {
    font-family: 'Barlow';
}
.footer-column {
    flex: 1;
    padding: 10px;
    text-align: center;
}
.left-div {
    float: left;
}


.error-message {
    grid-column: 1 / -1; /* Ocupar todas las columnas disponibles */
    grid-row: auto; /* Permitir que ocupe la altura necesaria */
    margin-bottom: 10px; /* Espaciado entre el mensaje de error y el siguiente elemento */
}
